%define oname		secret

%define api		1
%define major		0
%define gi_major	1
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gi_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libsecret
Version:	0.21.6
Release:	%mkrel 4
Summary:	Library for storing and retrieving passwords and other secrets
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Libsecret
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/161
Patch0:		0001-Integrate-external-extended-bash-completion-script.patch

BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-xsl
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-utils
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	vala-tools

%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package tools
Group:		System/Base
Summary:	Tools for libsecret
Requires:	%{name}-i18n >= %{version}-%{release}

Conflicts:	bash-completion < 2:2.16.0

%description tools
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package i18n
Summary:	Library for the secret protocol - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{libname}
Summary:	Library for the secret protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%{_lib}%{oname}0 < 0.6.1

# Upstream skypeforlinux requires 'libsecret' explicitly
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for secret
Group:		System/Libraries
Conflicts:	%{_lib}secret7
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for secret.

%prep
%autosetup -p1

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files i18n -f %{name}.lang

%files tools
%{_bindir}/secret-tool
%{_datadir}/bash-completion/completions/secret-tool
%{_mandir}/man1/secret-tool.1*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-unstable.pc
%{_datadir}/gir-1.0/Secret-%{gi_major}.gir
%{_datadir}/vala/vapi/*
%doc %{_docdir}/libsecret-1

%files -n %{girname}
%{_libdir}/girepository-1.0/Secret-%{gi_major}.typelib


%changelog
* Sun Jan 26 2025 daviddavid <daviddavid> 0.21.6-4.mga10
+ Revision: 2142642
- backport upstream patch to integrate external extended bash-completion script
  from bash-completion project

* Wed Jan 22 2025 daviddavid <daviddavid> 0.21.6-3.mga10
+ Revision: 2140405
- install again upstream secret-tool bash completion

* Tue Jan 21 2025 daviddavid <daviddavid> 0.21.6-2.mga10
+ Revision: 2140263
- temporary disable install of secret-tool bash completion as it conflict with
  bash-completion package https://github.com/scop/bash-completion/issues/1317

* Tue Jan 21 2025 daviddavid <daviddavid> 0.21.6-1.mga10
+ Revision: 2140191
- new version 0.21.6

* Sun Mar 17 2024 daviddavid <daviddavid> 0.21.4-1.mga10
+ Revision: 2050177
- new version 0.21.4

* Sun Feb 11 2024 daviddavid <daviddavid> 0.21.3-1.mga10
+ Revision: 2040196
- new version 0.21.3

* Sun Dec 10 2023 daviddavid <daviddavid> 0.21.2-1.mga10
+ Revision: 2016681
- new version 0.21.2

* Tue Sep 26 2023 tv <tv> 0.21.1-1.mga10
+ Revision: 1991142
- Update to 0.21.1

* Fri Sep 23 2022 tv <tv> 0.20.5-2.mga9
+ Revision: 1891803
- Fix filelist
- Update to 0.20.5
+ danf <danf>
- Update URL
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Oct 10 2020 ovitters <ovitters> 0.20.4-1.mga8
+ Revision: 1633129
- new version 0.20.4

* Tue Apr 14 2020 ovitters <ovitters> 0.20.3-1.mga8
+ Revision: 1567360
- new version 0.20.3

* Wed Mar 11 2020 ovitters <ovitters> 0.20.2-1.mga8
+ Revision: 1555432
- new version 0.20.2

* Thu Feb 20 2020 umeabot <umeabot> 0.20.1-2.mga8
+ Revision: 1545303
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 ovitters <ovitters> 0.20.1-1.mga8
+ Revision: 1484582
- new version 0.20.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 13 2020 ovitters <ovitters> 0.20.0-1.mga8
+ Revision: 1477808
- new version 0.20.0

* Sat Sep 07 2019 daviddavid <daviddavid> 0.19.1-1.mga8
+ Revision: 1438072
- new version 0.19.1

* Sat Mar 02 2019 ovitters <ovitters> 0.18.8-1.mga7
+ Revision: 1371024
- new version 0.18.8

* Sat Dec 29 2018 ovitters <ovitters> 0.18.7-1.mga7
+ Revision: 1346256
- new version 0.18.7

* Sun Sep 23 2018 umeabot <umeabot> 0.18.6-2.mga7
+ Revision: 1299137
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 ovitters <ovitters> 0.18.6-1.mga7
+ Revision: 1213385
- new version 0.18.6

* Sun Jun 11 2017 akien <akien> 0.18.5-2.mga6
+ Revision: 1107561
- Add virtual provides libsecret for lib package (needed by upstream skypeforlinux)

* Fri Mar 25 2016 ovitters <ovitters> 0.18.5-1.mga6
+ Revision: 995266
- new version 0.18.5

* Tue Jan 19 2016 ovitters <ovitters> 0.18.4-1.mga6
+ Revision: 925814
- new version 0.18.4

* Thu Sep 10 2015 fwang <fwang> 0.18.3-2.mga6
+ Revision: 875391
- rebuild for new libgcrypt

* Mon Aug 03 2015 ovitters <ovitters> 0.18.3-1.mga6
+ Revision: 860875
- new version 0.18.3

* Mon Jun 29 2015 wally <wally> 0.18.2-2.mga6
+ Revision: 847718
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 0.18.2-1.mga6
+ Revision: 836358
- new version 0.18.2

* Wed Oct 15 2014 umeabot <umeabot> 0.18-4.mga5
+ Revision: 743231
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.18-3.mga5
+ Revision: 724928
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.18-2.mga5
+ Revision: 681771
- Mageia 5 Mass Rebuild

* Thu Mar 06 2014 ovitters <ovitters> 0.18-1.mga5
+ Revision: 600541
- new version 0.18

* Sat Nov 09 2013 ovitters <ovitters> 0.16-3.mga4
+ Revision: 550183
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.16-2.mga4
+ Revision: 533150
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 ovitters <ovitters> 0.16-1.mga4
+ Revision: 471887
- new version 0.16

* Sat Jun 15 2013 wally <wally> 0.15-2.mga4
+ Revision: 443321
- build vala bindings

* Fri May 24 2013 dams <dams> 0.15-1.mga4
+ Revision: 426217
- new version 0.15

* Wed Apr 10 2013 dams <dams> 0.14-1.mga3
+ Revision: 409395
- new version 0.14

* Sat Jan 12 2013 umeabot <umeabot> 0.12-2.mga3
+ Revision: 358130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 ovitters <ovitters> 0.12-1.mga3
+ Revision: 320062
- new version 0.12

* Tue Sep 18 2012 ovitters <ovitters> 0.10-1.mga3
+ Revision: 295893
- new version 0.10

* Mon Aug 20 2012 ovitters <ovitters> 0.9-1.mga3
+ Revision: 282616
- update file list
- br docbook-dtds,docbook-xsl,docbook-style-xsl,libxml2-utils
- br xsltproc
- new version 0.9

* Mon Aug 06 2012 ovitters <ovitters> 0.8-1.mga3
+ Revision: 279343
- new version 0.8

* Mon Jul 16 2012 ovitters <ovitters> 0.7-1.mga3
+ Revision: 271343
- new version 0.7
+ fwang <fwang>
- i18n is a noarch package

* Sat Jul 14 2012 wally <wally> 0.6-1.mga3
+ Revision: 270680
- fix lib pkg name
- loose deps a bit to allow to keep old libs
- clean .spec
+ ovitters <ovitters>
- new version 0.6

* Sun Jul 01 2012 ovitters <ovitters> 0.3-1.mga3
+ Revision: 266065
- imported package libsecret

